## unattended-upgrades 0.75

=== debian/changelog ===
unattended-upgrades (0.75) unstable; urgency=low

  * add tests for compat mode and spaces in a origin
  * escape "," in the Allowed-Origins compat mode (LP: #824856)
  * merged lp:~mvo/unattended-upgrades/unshadow-versions, this will
    ensure that higher versions in a non-origin branch do not "shadow"
    the versions from a desired origin (LP: #891747)

 -- Michael Vogt <mvo@debian.org>  Tue, 22 Nov 2011 15:27:56 +0100

unattended-upgrades (0.74.3) unstable; urgency=low

  * add missing "." to dh_installinit (closes: #648216)

 -- Michael Vogt <mvo@debian.org>  Wed, 09 Nov 2011 20:16:12 +0100

unattended-upgrades (0.74.2) unstable; urgency=low

  * add missing "." to dh_installinit (closes: #648216)

 -- Michael Vogt <mvo@debian.org>  Wed, 09 Nov 2011 19:27:43 +0100

unattended-upgrades (0.74.1) unstable; urgency=low

  * debian/unattended-upgrades.init:
    - only run unattended-upgrades-shutdown if its actually installed
      (closes: #643607)
  * pm/sleep.d/10_unattended-upgrades-hibernate:
    - only run shutdown helper when its available
  * updated README and defaults based on the work from
    Reuben Thomas, many thanks (closes: #632336)
  * lintian fixes
  * debian/rules, debian/unattended-upgrades.init:
    - fix dh_initallinit arguments (closes: #630732) 

 -- Michael Vogt <mvo@debian.org>  Wed, 09 Nov 2011 09:26:56 +0100

unattended-upgrades (0.74) unstable; urgency=low

  * test improvements
  * fix crash when no packages are upgraded
  * only run dpkg if there are packages to upgrade (closes: #647476)
  * include "stable-updates" in the configuration example
  * debian/po/de.po:
    - updated, thanks to Helge Kreutzmann (closes: #647172)
  * debian/rules:
    - install initscripts but do not run them on install/upgrade
      (closes: #645919), thanks to Teodor MICU
  * data/50unattended-upgrades.Debian:
    - update default Debian config for squeeze, thanks to 
      John Feuerstein for the example (closes: #609854)
  * debian/prerm:
    - ignore failures from versions where the initscript is run
      with "stop" even when not in shutdown mode (closes: #645919)
  * unattended-upgrade:
    - ensure to release shutdown-lock before shutting down 
      (closes: #645919)
  * debian/postinst, data/20auto-upgrades-disabled:
    - allow disabling via debconf (closes: #645971)

 -- Michael Vogt <mvo@debian.org>  Tue, 08 Nov 2011 17:37:31 +0100

unattended-upgrades (0.73.1) unstable; urgency=low

  [ Michael Vogt ]
  * unattended-upgrade:
    - re-eval pkgs_kept_back after a successful upgrade to ensure
      that its in sync with the cache (closes: #639840), thanks to
      Iain Nicol
    - do not write dpkg terminal log in --dry-run mode instead just
      output to stdout (closes: #640329)
  * test/test_origin_pattern.py:
    - test fixes
  
  [ Peter Eisentraut ]
  * debian/unattended-upgrade.init:
    - add support for "status" action
  
  [ Iain Nicol ]
  * unattended-upgrade:
    - ensure pkgs_to_upgrade stays sorted and fix crash

 -- Michael Vogt <mvo@debian.org>  Wed, 19 Oct 2011 15:16:20 +0200

=== debian/control ===
Source: unattended-upgrades
Section: admin
Priority: optional
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), po-debconf, lsb-release
Build-Depends-Indep: python (>= 2.6.6-3~), python-distutils-extra
Standards-Version: 3.8.3
Vcs-Bzr: http://code.launchpad.net/~ubuntu-core-dev/unattended-upgrades/ubuntu/

Package: unattended-upgrades
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf, python, 
 python-apt (>= 0.7.90), apt-utils, apt, ucf, lsb-release
Suggests: bsd-mailx
Description: automatic installation of security upgrades
 This package can download and install security upgrades automatically
 and unattended, taking care to only install packages from the
 configured APT source, and checking for dpkg prompts about
 configuration file changes.
 .
 This script is the backend for the APT::Periodic::Unattended-Upgrade
 option.

## unattended-upgrades 0.75.1

=== debian/changelog ===
unattended-upgrades (0.75.1) unstable; urgency=low

  * print conffile hold-backs to stdout to ensure its part of
    the cron mail (LP: #773007), thanks to Jean-Baptiste Lallement
  * unattended-upgrade:
    - fix crash on automatic-reboot, thanks to Teodor (closes: #651822)
  * typo fixes, thanks to Lei Zhang

 -- Michael Vogt <mvo@debian.org>  Mon, 12 Dec 2011 14:01:41 +0100

## unattended-upgrades 0.76

=== debian/changelog ===
unattended-upgrades (0.76) unstable; urgency=low

  * add basic "Unattended-Upgrades::InstallOnShutdown" option to do
    the install step on shutdown (closes: #652982) instead of doing
    it in the backgroud while the machine is running
  * test improvements
  * fix mispelled "Unattended-Upgrade::MinimalSteps" (and add compat
    mode)
  * unattended-upgrade:
    - cleanup FDs to hopefully fix zombies (closes: #646620)

 -- Michael Vogt <mvo@debian.org>  Fri, 09 Mar 2012 09:42:33 +0100

unattended-upgrades (0.74.4) UNRELEASED; urgency=low

  * add tests for compat mode and spaces in a origin
  * escape "," in the Allowed-Origins compat mode (LP: #824856)
  * merged lp:~mvo/unattended-upgrades/unshadow-versions, this will
    ensure that higher versions in a non-origin branch do not "shadow"
    the versions from a desired origin (LP: #891747)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 21 Nov 2011 18:00:57 +0100

## unattended-upgrades 0.76ubuntu1~ubuntu10.04.1

=== debian/changelog ===
unattended-upgrades (0.76ubuntu1~ubuntu10.04.1) lucid-backports; urgency=low

  * backport for lucid, minimal source changes:
    - drop dh_python2 as this is not available in lucid
    (LP: #1200367)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 12 Jul 2013 21:54:21 +0200

unattended-upgrades (0.76ubuntu1) precise-proposed; urgency=low

  * unattended-upgrade: ignore md5sum "newconffile" (LP: #936870) 

 -- Brian Murray <brian@ubuntu.com>  Thu, 08 Nov 2012 11:52:39 -0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~), po-debconf, lsb-release
-Build-Depends-Indep: python (>= 2.6.6-3~), python-distutils-extra
+Build-Depends-Indep: python, python-distutils-extra
 Standards-Version: 3.8.3
 Vcs-Bzr: http://code.launchpad.net/~ubuntu-core-dev/unattended-upgrades/ubuntu/

=== debian/rules ===
#!/usr/bin/make -f

DIST=$(shell /usr/bin/lsb_release -i -s)

%:
	dh $@

override_dh_auto_build:
	# copy the right template into place
	cp data/50unattended-upgrades.$(DIST) data/50unattended-upgrades
	dh_auto_build

override_dh_auto_clean:
	# Sanity-check before upload.
	set -e; if [ -e /usr/lib/python$(PYVER)/py_compile.py ]; then \
		for f in unattended-upgrade unattended-upgrade-shutdown; do \
			ln -nsf $$f $$f.py; \
			python$(PYVER) /usr/lib/python$(PYVER)/py_compile.py \
				$$f.py; \
			rm -f $$f.py; \
		done; \
	fi
	dh_auto_clean

override_dh_installinit:
	# we do not want to run the init script in the postinst/prerm, its
	#  really only useful on shutdown, see Debian bug #645919
	dh_installinit $@ --no-start -- stop 10 0 6 .

## unattended-upgrades 0.76ubuntu1.1

=== debian/changelog ===
unattended-upgrades (0.76ubuntu1.1) precise-security; urgency=medium

  * fix missing package authentication check for apt
     configurations that force-{confold,confnew} (CVE-2015-1330)
     LP: #1466380

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 19 Jun 2015 11:12:10 +0200

## unattended-upgrades 0.76ubuntu1.2

=== debian/changelog ===
unattended-upgrades (0.76ubuntu1.2) precise-proposed; urgency=medium

  * cherry pick fix for unused-dependencies removal. (LP: #1267059)

 -- Brian Murray <brian@ubuntu.com>  Fri, 11 Dec 2015 10:06:00 -0800

## unattended-upgrades 0.76ubuntu1.3

=== debian/changelog ===
unattended-upgrades (0.76ubuntu1.3) precise; urgency=medium

  * Add UbuntuESM to the list of sources automatically upgraded from by
    default.  LP: #1687129.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 02 May 2017 15:45:12 -0400

## unattended-upgrades 0.79.3ubuntu4

=== test/Makefile ===
#!/usr/bin/make

all: check

check:
	# test with both py2 and py3 for now and also use coverage for the py2
	set -e; \
	find . -name 'test_*.py' | \
	while read file; do \
	    if [ -x $$file ]; then \
		echo "Running $$file with python3"; \
	    	python3 $$file ; \
		echo "Running $$file with python"; \
		python-coverage run -a $$file; \
	    fi \
	done

clean:
	rm -rf ./aptroot/var/cache/
	rm -rf ./aptroot/var/lib/apt
	rm -rf ./aptroot/var/run
	find .. -type d -name __pycache__ | xargs rm -rf

coverage-html:
	echo "output in htmlcov/
	python-coverage html

=== debian/changelog ===
unattended-upgrades (0.79.3ubuntu4) quantal; urgency=low

  * lp:~mvo/unattended-upgrades/minimal-step-paranonia-lp1020680:
    - ensure the blacklist/origin constrains are never violated for
      some corner cases in the minimal-upgrade mode (LP: #1020680)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 09 Oct 2012 10:08:01 +0200

unattended-upgrades (0.79.3ubuntu3) quantal; urgency=low

  * lp:~mvo/unattended-upgrades/lp1061498:
    - fix crash in dpkg_conffile_prompt() (LP: #1061498)
  * lp:~mvo/unattended-upgrades/create-logdir-in-shutdown-helper-lp1013363:
    - create logdir in the shutdown helper if needed (LP: #1013363)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 05 Oct 2012 17:57:38 +0200

unattended-upgrades (0.79.3ubuntu2) quantal; urgency=low

  [ Marc Tardif ]
  * Fixed debug output when a package has no candidates (LP: #1046438)
  
  [ Michael Vogt ]
  * debian/test/:
    - add dep8 tests

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 14 Sep 2012 10:41:08 +0200

unattended-upgrades (0.79.3ubuntu1) quantal; urgency=low

  [ Thomas Kluyver ]
  * Port to Python 3

  [ Brian Murray ]
  * unattended-upgrade: fix typo in debugging output

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 10 Sep 2012 09:55:19 +0200

unattended-upgrades (0.79.4) UNRELEASED; urgency=low

  * data/50unattended-upgrades.{Debian,Ubuntu}:
    - add missing ";" in the example config, thanks to  Tomas Pospisek
      closes: #684876
    - remove codename based matching example as this needs a newer 
      python-apt than available in wheezy, thanks to Russell Stuart
  * unattended-upgrade, test/test_origin_pattern.py:
    - if a unknown matcher token is found, raise a error instead of
      silently ignoring it, thanks to Russell Stuart 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 14 Aug 2012 13:25:40 +0200

unattended-upgrades (0.79.3) unstable; urgency=low

  * unattended-upgrade:
    - fix assert text, thanks to Niels Thykier
  * really include the updated es.po, thanks to Niels Thykier

 -- Michael Vogt <mvo@debian.org>  Tue, 07 Aug 2012 12:20:05 +0200

unattended-upgrades (0.79.2) unstable; urgency=low

  * use "mail -s" again to ensure there is a proper subject line when
    using mailx
  * do not attach headers when using mailx
  * use sendmail instead of mailx when available to get a proper mime
    mail with correct encoding etc (closes: #654851, #681442)
    Thanks to Bjørn Mork and Teodor MICU
  * po/es.po:
    - updated, thanks to Omar Campagne, closes: #681334
  * debian/control:
    - add suggests for mail-transport-agent
  * only use ionice if available (closes: #681467)
  * make pyflakes clean and add test

 -- Michael Vogt <mvo@debian.org>  Fri, 13 Jul 2012 20:54:05 +0200

unattended-upgrades (0.79.1) unstable; urgency=low

  * Set apt-listchanges frontend to "mail" if sendmail is available,
    the default behavior of apt-listchanges is to send a mail (if there
    is a email_address in apt-listchanges.conf) even with pager/gtk
    frontends so this will ensure the same behavior (closes: #579733)
  * Do not use "mail -a" as this is not POSIX, instead use the python
    email.Message package to construct a proper utf8 message
    (closes: #654851)

 -- Michael Vogt <mvo@debian.org>  Wed, 11 Jul 2012 22:34:14 +0200

unattended-upgrades (0.79) unstable; urgency=low

  [ Translation updates ]
  * po/pt_BR.po:
    - updated, thanks to David Prévot, closes: #678423
  * po/cs.po:
    - removed, was a debconf translation
  * po/ru.po:
    - updated, thanks to Yuri Kozlov, closes: #678427
  * po/gl.po:
    - added, thanks to Jorge Barreiro, closes: #678634
  * po/pt.po:
    - added, thanks to Pedro Ribeiro, closes: #678738
  * po/sk.po:
    - added, thanks to helix84, closes: #677471

  [ Teodor MICU ]
  * debian/unattended-upgrades.init:
    - fixes new style lsb-init output, closes: #678030

  [ Michael Vogt ]
  * correctly detect conffile prompt for new conffiles that were 
    normal files previously (like /etc/profile in base-files 6.8),
    closes: #673237
  * code cleanup in conffile detection and tests
  * Set mail header to utf8 for the summary email (closes: #654851)
  * use stdout instead of stderr in --debug mode (closes: #674140)
  * data/50unattended-upgrades.{Debian,Ubuntu}:
    - change default mail recipient to "root" intead of "root@localhost"
      to help systems without a real mail setup (closes: #648149)
  * ignore packages in the blacklist early to avoid un-upgradable warning
    for mixed stable/testing systems (closes: #645382)

 -- Michael Vogt <mvo@debian.org>  Fri, 29 Jun 2012 13:22:54 +0200

unattended-upgrades (0.78) unstable; urgency=low

  [ Michael Vogt ]
  * data/logrotate.d/unattended-upgrades:
    - simplify, thanks to Teodor MICU
  * refresh po/pot automatically on clean, closes: #670473
  * po/da.po:
    - updated, thanks to Joe Dalton, closes: #677804
  * po/de.po:
    - updated, thanks to Chris Leick (closes: #678204)

  [ Teodor MICU ]
  * debian/unattended-upgrades.init:
    - use new style lsb-init output, closes: #678030

 -- Michael Vogt <mvo@debian.org>  Thu, 21 Jun 2012 17:05:22 +0200

unattended-upgrades (0.77) unstable; urgency=low

  * unattended-upgrade:
    - ignore md5sum "newconffile" (LP: #936870)
    - simply ignore SIGHUP instead of the setsid() magic
    - redirect ionice stderr output to /dev/null to avoid
      showing a error in a OpenVZ env (closes: #675021)
  * unattended-upgrade-shutdown:
    - be robust about import apt_pkg failures (LP: #808449), e.g.
      during upgrades
    - log when install finished to help track down LP #434835
    - do not log to syslog anymore as this *might* block and 
      could cause  LP #434835 and was not working in most cases
      as syslog was killed before it could log
    - log instead to /var/log/unattended-upgrades-shutdown.log 
      to help track down LP #434835
  * debian/unattended-upgrades.init:
    - add Required-{Start,Stop}: $local_fs to help track down LP #434835


=== debian/control ===
Source: unattended-upgrades
Section: admin
Priority: optional
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), po-debconf, lsb-release
Build-Depends-Indep: python3, python3-distutils-extra
Standards-Version: 3.9.3
Vcs-Bzr: http://code.launchpad.net/~ubuntu-core-dev/unattended-upgrades/ubuntu/
XS-Testsuite: autopkgtest

Package: unattended-upgrades
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf, python3, 
 python3-apt (>= 0.7.90), apt-utils, apt, ucf, lsb-release,
 lsb-base (>= 3.2-14)
Suggests: bsd-mailx, mail-transport-agent
Description: automatic installation of security upgrades
 This package can download and install security upgrades automatically
 and unattended, taking care to only install packages from the
 configured APT source, and checking for dpkg prompts about
 configuration file changes.
 .
 This script is the backend for the APT::Periodic::Unattended-Upgrade
 option.

=== debian/tests/control ===
Tests: run-tests
Depends: @, make, python-dev, python3-dev, python-coverage

## unattended-upgrades 0.79.3ubuntu7

=== debian/changelog ===
unattended-upgrades (0.79.3ubuntu7) raring; urgency=low

  [ Michael Vogt ]
  * data/logrotate.d/unattended-upgrades:
    - only logrotate
      /var/log/unattended-upgrades/unattended-upgrades{,-shutdown}.log
      and not the dpkg logs (LP: #1081034)
  * tests/*.py:
    - updated pep8 tests, make pyflakes test "test" dir too
  * test/test_regression.py:
    - regression test for crash in normal_upgrade exception handler

  [ Thomas Kluyver ]
  * lp:~takluyver/unattended-upgrades/apt-lock-crash:
    - fix encoding bug when writing a error to stderr

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 11 Dec 2012 18:52:24 +0100

unattended-upgrades (0.79.3ubuntu6) raring; urgency=low

  [ Brian Murray ]
  * unattended-upgrade:
    - fix a issue with the tense of packages being upgraded
    - log that sendmail works as an alternative to mailx
    - add the result of the upgrade to email subject, thanks to Yann 'Ze'
      Richard for the initial patch (LP: #1069809)
  
  [ Michael Vogt ]
  * unattended-upgrade:
    - fix debug output for origins checking in py3

  [ Martin Pitt ]
  * Fix PEP-8 errors throughout the code to fix the autopkgtest failure.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 21 Nov 2012 07:48:55 +0100

unattended-upgrades (0.79.3ubuntu5) raring; urgency=low

  [ Colin Watson ]
  * Add pep8 as a dependency of the DEP-8 test suite.

  [ Martin Pitt ]
  * test/Makefile: Redirect unittest stderr to stdout, to avoid failure in
    autopkgtest.
  * debian/tests/control: Add missing pyflakes dependency.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 09 Nov 2012 14:22:51 +0100

=== debian/rules ===
#!/usr/bin/make -f

DIST=$(shell /usr/bin/lsb_release -i -s)

%:
	dh $@ --with python3

override_dh_auto_build:
	# copy the right template into place
	cp data/50unattended-upgrades.$(DIST) data/50unattended-upgrades
	python3 setup.py build

override_dh_auto_install:
	python3 setup.py install \
		--root=$(CURDIR)/debian/unattended-upgrades \
		--install-layout=deb

override_dh_auto_clean:
	# Sanity-check before upload.
	set -e; for f in unattended-upgrade unattended-upgrade-shutdown; do \
		ln -nsf $$f $$f.py; \
		py3compile $$f.py; \
		rm -f $$f.py; \
	done
	python3 setup.py clean -a

override_dh_installinit:
	# we do not want to run the init script in the postinst/prerm, its
	#  really only useful on shutdown, see Debian bug #645919
	dh_installinit $@ --no-start -- stop 10 0 6 .

=== debian/tests/control ===
Tests: run-tests
Depends: @, make, python-dev, python3-dev, python-coverage, pep8, pyflakes

## unattended-upgrades 0.79.3ubuntu8

=== debian/changelog ===
unattended-upgrades (0.79.3ubuntu8) saucy; urgency=low

  * Fix two PEP-8 errors to fix autopkgtest.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 09 Sep 2013 11:39:12 -0400

## unattended-upgrades 0.79.5+wheezy2

=== test/Makefile ===
#!/usr/bin/make

all: check

check:
	set -e; \
	find . -name 'test_*.py' | \
	while read file; do \
	    echo "Running $$file"; \
	    if [ -x $$file ]; then \
	    	python $$file ; \
	    fi \
	done

clean:
	rm -rf ./aptroot/var/cache/
	rm -rf ./aptroot/var/lib/apt
	rm -rf ./aptroot/var/run

=== debian/changelog ===
unattended-upgrades (0.79.5+wheezy2) wheezy-security; urgency=high

  * fix missing package authentication check for apt
     configurations that force-{confold,confnew} (CVE-2015-1330)

 -- Michael Vogt <mvo@debian.org>  Fri, 19 Jun 2015 10:36:23 +0200

unattended-upgrades (0.79.5+wheezy1) stable; urgency=low

  * add "oldstable" to the default update origins to ensure
    the updates keep working after wheezy+1 gets released
    (closes: #711826)

 -- Michael Vogt <mvo@debian.org>  Tue, 25 Jun 2013 16:06:39 +0200

unattended-upgrades (0.79.5) unstable; urgency=low

  * data/50unattended-upgrades.{Debian,Ubuntu}:
    - add missing ";" in the example config, thanks to  Tomas Pospisek
      closes: #684876
    - remove codename based matching example as this needs a newer 
      python-apt than available in wheezy, thanks to Russell Stuart
  * unattended-upgrade, test/test_origin_pattern.py:
    - if a unknown matcher token is found, raise a error instead of
      silently ignoring it, thanks to Russell Stuart 
  * unattended-upgrade:
    - do not nice/ionice as this wil affect daemon restarts
      (closes: #701850)

 -- Michael Vogt <mvo@debian.org>  Fri, 01 Mar 2013 10:07:30 +0100

unattended-upgrades (0.79.4) unstable; urgency=low

  * lp:~mvo/unattended-upgrades/xz-support:
     - add missing xz-utils dependency, thanks to Bastian Blank
       (closes: #698552)

 -- Michael Vogt <mvo@debian.org>  Mon, 21 Jan 2013 17:27:31 +0100

=== debian/control ===
Source: unattended-upgrades
Section: admin
Priority: optional
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), po-debconf, lsb-release
Build-Depends-Indep: python (>= 2.6.6-3~), python-distutils-extra
Standards-Version: 3.8.3
Vcs-Bzr: http://code.launchpad.net/~ubuntu-core-dev/unattended-upgrades/ubuntu/

Package: unattended-upgrades
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf, python, 
 python-apt (>= 0.7.90), apt-utils, apt, ucf, lsb-release, 
 lsb-base (>= 3.2-14), xz-utils
Suggests: bsd-mailx, mail-transport-agent
Description: automatic installation of security upgrades
 This package can download and install security upgrades automatically
 and unattended, taking care to only install packages from the
 configured APT source, and checking for dpkg prompts about
 configuration file changes.
 .
 This script is the backend for the APT::Periodic::Unattended-Upgrade
 option.

=== debian/rules ===
#!/usr/bin/make -f

DIST=$(shell /usr/bin/lsb_release -i -s)

%:
	dh $@ --with python2

override_dh_auto_build:
	# copy the right template into place
	cp data/50unattended-upgrades.$(DIST) data/50unattended-upgrades
	dh_auto_build

override_dh_auto_clean:
	# Sanity-check before upload.
	set -e; if [ -e /usr/lib/python$(PYVER)/py_compile.py ]; then \
		for f in unattended-upgrade unattended-upgrade-shutdown; do \
			ln -nsf $$f $$f.py; \
			python$(PYVER) /usr/lib/python$(PYVER)/py_compile.py \
				$$f.py; \
			rm -f $$f.py; \
		done; \
	fi
	dh_auto_clean

override_dh_installinit:
	# we do not want to run the init script in the postinst/prerm, its
	#  really only useful on shutdown, see Debian bug #645919
	dh_installinit $@ --no-start -- stop 10 0 6 .

## unattended-upgrades 0.79.5+wheezy3

=== debian/changelog ===
unattended-upgrades (0.79.5+wheezy3) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * add "oldoldstable" to the default update origins to ensure updates
    keep working since wheezy+2 (stretch) was released (closes: #867169)

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 17 Jul 2017 15:12:33 -0400

## unattended-upgrades 0.81+rpi1

=== debian/changelog ===
unattended-upgrades (0.81+rpi1) jessie-staging; urgency=low

  * Change default config file for raspbian

 -- Peter Michael Green <plugwash@raspbian.org>  Sun, 19 Jan 2014 05:22:55 +0000

unattended-upgrades (0.81) unstable; urgency=low

  * add default template for SteamOS (symlink to Debian for now
    as the customization is done in their steamos-autoupdate package)
  * write /var/lib/apt/periodic/unattended-upgrades-stamp, thanks to
    John Vert for the suggestion
  * do the upgrade calculation with os.nice(19)
  * add --minimal-upgrade-steps commandline option but keep
    --minimal_upgrade_steps for compatiblity
  * fix reading DISTRO_ID/DISTRO_CODENAME from lsb_release

 -- Michael Vogt <mvo@debian.org>  Sun, 29 Dec 2013 09:16:24 +0100

unattended-upgrades (0.80) unstable; urgency=low

  [ Michael Vogt ]
  * use dpkg-vendor --query Vendor instead of lsb_release -i -s
    to avoid build-dependency on lsb-release
  * data/50unattended-upgrades.Debian:
    - use ${distro_codename} instead of "stable" to avoid issues
      on release upgrades, thanks to Evgeny Kapun (closes: #707002)
    - document that the pkg blacklist can contain regular expressions,
      thanks to Thomas Reusch for the suggestion
  * unattended-upgrade:
    - make the mail sending more robust when facing unicode encoding
      errors
  * switch to python3 by default
  
  [ Loïc Minier ]
  * lp:~lool/unattended-upgrades/static-cherckers-fixes:
    - run the tests at build time instead of via auto-pkg-test

 -- Michael Vogt <mvo@debian.org>  Sat, 14 Dec 2013 10:17:52 +0100

unattended-upgrades (0.80~sid2) unstable; urgency=low

  * fix crash when --dry-run --debug is given, thanks to
    Sephan Helas
  * debian/control:
    - update maintainer address
    - fix Vcs location
  * data/50unattended-upgrades.Debian:
    - updated for jessie
  * README.md:
    - switch to markdown

 -- Michael Vogt <mvo@debian.org>  Thu, 16 May 2013 11:07:07 +0200

unattended-upgrades (0.80~sid1) unstable; urgency=low

  * merge fixes from the experimental uploads

 -- Michael Vogt <mvo@debian.org>  Wed, 08 May 2013 19:12:36 +0200

unattended-upgrades (0.80~exp3) UNRELEASEDexperimental; urgency=low

  * merged lp:~mvo/unattended-upgrades/py3
   - this merges the py3 compatibilty from debian
  * enable pep8/pyflakes by default
  * Add new Unattended-Upgrade::Automatic-Reboot-Time to control
    when machines that need reboot are rebooting
  * Fix crash when --dry-run and --verbose are used (thanks to 
    Bernhard Schmidt), closes: #705615

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 11 Apr 2013 06:45:05 +0200

unattended-upgrades (0.80~exp2) experimental; urgency=low

  * add codename based matching 
  * add support for "${distro_id}", "${distro_codename}" in the 
    Unattended-Upgrade::Origins-Pattern based matching too
  * data/50unattended-upgrades.Debian:
    - improve documentation, thanks to Russell Stuart

 -- Michael Vogt <mvo@debian.org>  Thu, 14 Mar 2013 09:19:22 +0100

unattended-upgrades (0.80~exp1) experimental; urgency=low

  [ Michael Vogt ]
  * lp:~mvo/unattended-upgrades/verbose:
    - add --verbose that shows output and terminal output
  * drop --with python2 as its just a single script
  * debian/control:
    - depend on latest python-apt in experimental for the "codename"
      based origin matching
  * data/50unattended-upgrades.Debian:
    - re-add the codename (n=) based matching example

  [ Brian Murray ]
  * unattended-upgrade:
    - log that sendmail works as an alternative to mailx
    - fix a issue with the tense of packages being upgraded
      Richard for the initial patch (LP: #1069809)

 -- Michael Vogt <mvo@debian.org>  Thu, 14 Mar 2013 06:34:27 +0100

=== debian/control ===
Source: unattended-upgrades
Section: admin
Priority: optional
Maintainer: Michael Vogt <mvo@debian.org>
Build-Depends: debhelper (>= 7.0.50~), po-debconf
Build-Depends-Indep: python (>= 2.6.6-3~), python3-distutils-extra,
 python3-setuptools, python-dev, python3-dev, python-coverage, pep8,
 pyflakes, python-apt, python3-apt, lsb-release
Standards-Version: 3.9.3
Vcs-Bzr: http://bzr.debian.org/bzr/apt/unattended-upgrades/debian-sid
XS-Testsuite: autopkgtest

Package: unattended-upgrades
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf, python3, 
 python3-apt, apt-utils, apt, ucf, lsb-release, lsb-base (>= 3.2-14),
 xz-utils
Suggests: bsd-mailx, mail-transport-agent
Description: automatic installation of security upgrades
 This package can download and install security upgrades automatically
 and unattended, taking care to only install packages from the
 configured APT source, and checking for dpkg prompts about
 configuration file changes.
 .
 This script is the backend for the APT::Periodic::Unattended-Upgrade
 option.

## unattended-upgrades 0.82.1ubuntu2

=== debian/changelog ===
unattended-upgrades (0.82.1ubuntu2) trusty; urgency=low

  * cherry-pick pyflakes fix (thanks to Barry Warsaw) that
    fixes a test failure with the latest pyflakes

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 02 Apr 2014 17:56:44 +0200

unattended-upgrades (0.82.1ubuntu1) trusty; urgency=medium

  * debian/tests/control: Add missing python-apt test dependency, so that
    tests also work with Python 2.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 25 Feb 2014 09:45:18 +0100

unattended-upgrades (0.82.1) unstable; urgency=medium

  [ Brian Murray ]
  * Do not reboot if run with --dry-run (LP: #1269177)
  * Continue if there are no changes, thanks to Ludovico Cavedon for the
    patch. (LP: #1265729)

 -- Michael Vogt <mvo@debian.org>  Mon, 17 Feb 2014 14:23:17 +0100

unattended-upgrades (0.82) unstable; urgency=low

  [ Brian Murray ]
  * unattended-upgrade: specify charset when setting email payload for
    python3.4 (LP: #1272381)
  * change logging.warn calls to logging.warning
  * test/test_email.py: use with to open email in test_mail_quoted_printable

 -- Michael Vogt <mvo@debian.org>  Thu, 06 Feb 2014 08:54:25 +0100

## unattended-upgrades 0.82.1ubuntu2.3

=== debian/changelog ===
unattended-upgrades (0.82.1ubuntu2.3) trusty-security; urgency=medium

  * fix missing package authentication check for apt
     configurations that force-{confold,confnew} (CVE-2015-1330)
     LP: #1466380

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 19 Jun 2015 11:32:36 +0200

unattended-upgrades (0.82.1ubuntu2.2) trusty-proposed; urgency=medium

  * Handle the situation where you may not be able to decrease process
    niceness e.g on an LXC container. (LP: #1422345)

 -- Brian Murray <brian@ubuntu.com>  Thu, 05 Mar 2015 15:03:10 -0800

unattended-upgrades (0.82.1ubuntu2.1) trusty-proposed; urgency=medium

  * Properly remove the niceness given. (LP: #1422345)

 -- Brian Murray <brian@ubuntu.com>  Tue, 17 Feb 2015 14:32:54 -0800

## unattended-upgrades 0.82.1ubuntu2.4

=== debian/changelog ===
unattended-upgrades (0.82.1ubuntu2.4) trusty-proposed; urgency=medium

  * cherry pick fix for unused-dependencies removal (LP: #1267059)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 03 Dec 2015 17:02:17 +0100

## unattended-upgrades 0.82.1ubuntu2.5

=== test/Makefile ===
#!/usr/bin/make

all: check

check:
	# test with both py2 and py3 for now and also use coverage for the py2
	set -e; \
	find . -name 'test_*.py' | \
	while read file; do \
	    if [ -x $$file ]; then \
		echo "Running $$file with python3"; \
	    	python3 $$file 2>&1; \
		echo "Running $$file with python"; \
		python-coverage run -a $$file 2>&1; \
	    fi \
	done

clean:
	rm -rf ./aptroot/var/cache/
	rm -rf ./aptroot/var/lib/apt
	rm -rf ./aptroot/var/run
	find .. -type d -name __pycache__ | xargs rm -rf

coverage-html:
	echo "output in htmlcov/
	python-coverage html

=== debian/changelog ===
unattended-upgrades (0.82.1ubuntu2.5) trusty; urgency=medium

  * Add UbuntuESM to the list of sources automatically upgraded from by
    default.  LP: #1687129.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 02 May 2017 15:55:13 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: unattended-upgrades
 Section: admin
 Priority: optional
-Maintainer: Michael Vogt <mvo@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Vogt <mvo@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), po-debconf
 Build-Depends-Indep: python (>= 2.6.6-3~), python3-distutils-extra,
  python3-setuptools, python-dev, python3-dev, python-coverage, pep8,

=== debian/rules ===
#!/usr/bin/make -f

PYTHON=python3
DIST=$(shell dpkg-vendor --query Vendor)

%:
	dh $@

override_dh_auto_build:
	# copy the right template into place
	cp data/50unattended-upgrades.$(DIST) data/50unattended-upgrades
	$(PYTHON) setup.py build

override_dh_auto_test:
	$(MAKE) -C test

override_dh_auto_install:
	$(PYTHON) setup.py install \
		--root=$(CURDIR)/debian/unattended-upgrades \
		--install-layout=deb

override_dh_auto_clean:
	# Sanity-check before upload.
	set -e; for f in unattended-upgrade unattended-upgrade-shutdown; do \
		ln -nsf $$f $$f.py; \
		py3compile $$f.py; \
	        pycompile $$f.py; \
		rm -f $$f.py; \
	done
	$(PYTHON) setup.py clean -a

override_dh_installinit:
	# we do not want to run the init script in the postinst/prerm, its
	#  really only useful on shutdown, see Debian bug #645919
	dh_installinit $@ --no-start -- stop 10 0 6 .

=== debian/tests/control ===
Tests: run-tests
Depends: @, make, python-dev, python3-dev, python-apt, python-coverage, pep8, pyflakes

## unattended-upgrades 0.82.1ubuntu2.5+7.0trisquel1

=== debian/changelog ===
unattended-upgrades (0.82.1ubuntu2.5+7.0trisquel1) belenos; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 04 Jun 2017 01:55:54 +0000

## unattended-upgrades 0.82.8

=== debian/changelog ===
unattended-upgrades (0.82.8) unstable; urgency=low

  * really add unattended-upgrades.service file, thanks
    to Simon McVittie (closes: #745992)
  * pep8 fixes

 -- Michael Vogt <mvo@debian.org>  Fri, 04 Jul 2014 16:55:19 +0200

unattended-upgrades (0.82.7) unstable; urgency=low

  [ Michael Stapelberg ]
  * Add native systemd service file (closes: #745992)

  [ Brian Murray ]
  * add in an apport package hook (LP: #1078386)

 -- Michael Vogt <mvo@debian.org>  Fri, 16 May 2014 08:33:23 +0200

unattended-upgrades (0.82.6) unstable; urgency=medium

  * unattended-upgrades, test/test_rewind.py:
    - fix regression in rewind_cache() and add test (closes: 743594)
  * unattended-upgrade:
    - ensure minimal-upgrades-modes does not truncate dpkg output log
  
 -- Michael Vogt <mvo@debian.org>  Tue, 08 Apr 2014 16:05:23 +0200

unattended-upgrades (0.82.5) unstable; urgency=low

  [ Michael Vogt ]
  * debian/po/de.po:
    - updated, thanks to Chris Leick closes: #741739
  * unattended-upgrades:
    - fix pyflakes error with latest pyflakes (thanks to
      Barry Warsaw)
  
  [ Martin Pitt ]
  * debian/tests/control: Add missing python-apt test dependency, so that
    tests also work with Python 2.

 -- Michael Vogt <mvo@debian.org>  Thu, 03 Apr 2014 14:47:16 +0200

unattended-upgrades (0.82.4) unstable; urgency=low

  [ Simon McVittie ]
  * do not ship generated files (*.pyc) in the source package
    (closes: 741467)
  
  [ Michael Vogt ]
  * add debian/source/format

 -- Michael Vogt <mvo@debian.org>  Fri, 14 Mar 2014 10:29:22 +0100

unattended-upgrades (0.82.3) unstable; urgency=low

  * restore python2-apt compatibility, thanks to Simon McVittie
    closes: #740847
  * ensure rewind_cache() does never cause a broken state

 -- Michael Vogt <mvo@debian.org>  Wed, 05 Mar 2014 18:23:05 +0100

unattended-upgrades (0.82.2) unstable; urgency=low

  * Merged lp:~paniemin/unattended-upgrades/unattended-upgrades:
    - show full exception in verbose mode
  * ignore minimal paritions that are forbidden (because they
    contain e.g. blacklisted packages)
  * fix Bug in rewind_cache() that can cause unwanted removals of
    packages , thanks to the Pierre-Loup A. Griffais and
    Simon McVittie

 -- Michael Vogt <mvo@debian.org>  Mon, 03 Mar 2014 23:05:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: unattended-upgrades
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Vogt <mvo@debian.org>
+Maintainer: Michael Vogt <mvo@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), po-debconf
 Build-Depends-Indep: python (>= 2.6.6-3~), python3-distutils-extra,
  python3-setuptools, python-dev, python3-dev, python-coverage, pep8,
- pyflakes, python-apt, python3-apt, lsb-release
+ pyflakes, python-apt, python3-apt, lsb-release, dh-systemd (>= 1.18)
 Standards-Version: 3.9.3
 Vcs-Bzr: http://bzr.debian.org/bzr/apt/unattended-upgrades/debian-sid
 XS-Testsuite: autopkgtest

## unattended-upgrades 0.82.8ubuntu0.3

=== debian/changelog ===
unattended-upgrades (0.82.8ubuntu0.3) utopic-security; urgency=medium

  * fix missing package authentication check for apt
     configurations that force-{confold,confnew} (CVE-2015-1330)
     LP: #1466380

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 19 Jun 2015 11:38:24 +0200

unattended-upgrades (0.82.8ubuntu0.2) utopic-proposed; urgency=medium

  * Handle the situation where you may not be able to decrease process
    niceness e.g on an LXC container. (LP: #1422345)

 -- Brian Murray <brian@ubuntu.com>  Thu, 05 Mar 2015 15:03:10 -0800

unattended-upgrades (0.82.8ubuntu0.1) utopic-proposed; urgency=medium

  * Properly remove the niceness given. (LP: #1422345)

 -- Brian Murray <brian@ubuntu.com>  Tue, 17 Feb 2015 14:27:14 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: unattended-upgrades
 Section: admin
 Priority: optional
-Maintainer: Michael Vogt <mvo@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Vogt <mvo@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), po-debconf
 Build-Depends-Indep: python (>= 2.6.6-3~), python3-distutils-extra,
  python3-setuptools, python-dev, python3-dev, python-coverage, pep8,

## unattended-upgrades 0.83.3

=== debian/changelog ===
unattended-upgrades (0.83.3) unstable; urgency=medium

  [ Alexandre Detiste ]
  * add Raspbian template

  [ Michael Vogt ]
  * Attach all dpkg log to the summary mail on minimal-upgrades-steps mode
    (closes: #759693)

 -- Michael Vogt <mvo@debian.org>  Wed, 10 Dec 2014 21:36:34 +0100

unattended-upgrades (0.83.2) unstable; urgency=medium

  [ Martin-Éric Racine ]
  * debian/changelog:
    - updated to the DEP-5 format

  [ Alexandre Detiste ]
  * Fix spurious newlines

 -- Michael Vogt <mvo@debian.org>  Wed, 26 Nov 2014 10:19:48 +0100

unattended-upgrades (0.83.1) unstable; urgency=medium

  * unattended-upgrade:
    - fix regression and only send out the most recent dpkg log part
      when sending the summary mail (closes: #759693)
  * README.md:
    - improve documentation
  * debian/control:
    - update Vcs-Bzr location

 -- Michael Vogt <mvo@debian.org>  Mon, 24 Nov 2014 11:09:41 +0100

unattended-upgrades (0.83) unstable; urgency=medium

  * add Unattended-Upgrade::Package-Whitelist to allow upgrading
    only whitelisted regexp packagenames (plus their dependencies)
    (thanks to Christopher Warner)
  * add Unattended-Upgrade::Package-Whitelist-Strict boolean option
    to make Unattended-Upgrade::Package-Whitelist also check if all
    dependencies are whitelisted
  * unattended-upgrades:
    - fix output when "dpkg --configure -a" is run to recover
      from a unclean state
    - log to a rotated and compressed
      /var/log/unattended-upgrades/unattended-upgrades-dpkg.log
      logfile instead of to multiple small logs (closes: #759693)
    - log u-u commandline via apt logging in /var/log/apt/history.log
  * debian/postinst:
    - set /var/log/unattended-upgrades/ permissions to 0750
      (closes: #757438). Thanks to Joey Hess
 
 -- Michael Vogt <mvo@debian.org>  Fri, 17 Oct 2014 15:50:29 +0200

unattended-upgrades (0.82.10) unstable; urgency=medium

  [ Helge Kreutzmann ]
  * Move misplaced German program translation update from debian/po/de.po to
    po/de.po and update debconf translation from Chris Leick, closes: #751162

 -- Michael Vogt <mvo@debian.org>  Sun, 21 Sep 2014 21:31:20 +0200

unattended-upgrades (0.82.9) unstable; urgency=low

  * po/da.po:
    - updated, thanks to Joe Dalton, closes: #754130
  * debian/po/tr.po:
    - add Turkish translation, thanks to Mert Dirik 
      closes: #757500
  * unattended-upgrades:
    - improve docstring for adjust_candidate_versions
    - ignore versions with pin priority < 100 (instead of < 0),
      thanks to Stefano Zacchiroli
    - raise error if there are marked removals in the cache
      (as a extra precaution)
  * README.md:
    - add example for matching all upgradable packages
      (thanks to Paul van der Vlis for the suggestion)

 -- Michael Vogt <mvo@debian.org>  Thu, 21 Aug 2014 09:42:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: unattended-upgrades
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Vogt <mvo@debian.org>
+Maintainer: Michael Vogt <mvo@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), po-debconf
 Build-Depends-Indep: python (>= 2.6.6-3~), python3-distutils-extra,
  python3-setuptools, python-dev, python3-dev, python-coverage, pep8,
  pyflakes, python-apt, python3-apt, lsb-release, dh-systemd (>= 1.18)
 Standards-Version: 3.9.3
-Vcs-Bzr: http://bzr.debian.org/bzr/apt/unattended-upgrades/debian-sid
+Vcs-Git: https://github.com/mvo5/unattended-upgrades.git
 XS-Testsuite: autopkgtest
 
 Package: unattended-upgrades

## unattended-upgrades 0.83.3.2+deb8u1

=== debian/changelog ===
unattended-upgrades (0.83.3.2+deb8u1) jessie-security; urgency=high

  * fix missing package authentication check for apt
    configurations that force-{confold,confnew} (CVE-2015-1330)

 -- Michael Vogt <mvo@debian.org>  Mon, 29 Jun 2015 08:11:16 +0200

unattended-upgrades (0.83.3.2) stable; urgency=low

  * Rebuild in a clean schroot (closes: #783690, #788066)
  * Cherry pick 4c755d7 so that the optional automatic-reboot
    feature works again (closes: #788358)

 -- Michael Vogt <mvo@debian.org>  Mon, 15 Jun 2015 15:32:33 +0200

unattended-upgrades (0.83.3.1) stable; urgency=low

  * fix default configuration to match the jessie security
    server configuration (closes: #783690)

 -- Michael Vogt <mvo@debian.org>  Thu, 30 Apr 2015 16:05:26 +0200

=== debian/tests/control ===


## unattended-upgrades 0.83.3.2+devuan1.0

=== debian/changelog ===
unattended-upgrades (0.83.3.2+devuan1.0) stable; urgency=high

  * Fixed default rules for unattended-upgrades

 -- Evilham <devuan@evilham.com>  Sun, 17 Dec 2017 19:11:57 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: unattended-upgrades
 Section: admin
 Priority: optional
-Maintainer: Michael Vogt <mvo@debian.org>
+Maintainer: Evilham <devuan@evilham.com>
 Build-Depends: debhelper (>= 7.0.50~), po-debconf
 Build-Depends-Indep: python (>= 2.6.6-3~), python3-distutils-extra,
  python3-setuptools, python-dev, python3-dev, python-coverage, pep8,
  pyflakes, python-apt, python3-apt, lsb-release, dh-systemd (>= 1.18)
 Standards-Version: 3.9.3
-Vcs-Git: https://github.com/mvo5/unattended-upgrades.git
+Vcs-Git: https://git.devuan.org/devuan-packages/unattended-upgrades.git
 XS-Testsuite: autopkgtest
 
 Package: unattended-upgrades

## unattended-upgrades 0.83.6

=== debian/changelog ===
unattended-upgrades (0.83.6) unstable; urgency=medium

  [ Brian Murray ]
  * Handle the situation where you may not be able to decrease process
    niceness e.g. on an lxc container.

 -- Michael Vogt <mvo@debian.org>  Thu, 05 Mar 2015 11:32:50 -0500

unattended-upgrades (0.83.5) unstable; urgency=medium

  [ Brian Murray ]
  * properly restore niceness (LP: #1422345)

 -- Michael Vogt <mvo@debian.org>  Thu, 19 Feb 2015 15:06:58 +0100

unattended-upgrades (0.83.4) unstable; urgency=medium

  [ Alexandre Detiste ]
  * fix sending dpkg log in mails (Closes: #776752)

  [ Michael Vogt ]
  * Document how the reboot-required file is generated (Closes: #776769)
  * Add recommends to cron|cron-daemon|anacron (Closes: #776550),
    thanks to Alexandre Detiste and christophe
  * Ship /etc/kernel/postinst.d hook to ensure the
    /var/run/reboot-required file is created (avoid the need to have
    update-notifier-common installed) (Closes: #776769)

 -- Michael Vogt <mvo@debian.org>  Tue, 10 Feb 2015 13:58:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: unattended-upgrades
 Section: admin
 Priority: optional
-Maintainer: Evilham <devuan@evilham.com>
+Maintainer: Michael Vogt <mvo@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), po-debconf
 Build-Depends-Indep: python (>= 2.6.6-3~), python3-distutils-extra,
  python3-setuptools, python-dev, python3-dev, python-coverage, pep8,
  pyflakes, python-apt, python3-apt, lsb-release, dh-systemd (>= 1.18)
 Standards-Version: 3.9.3
-Vcs-Git: https://git.devuan.org/devuan-packages/unattended-upgrades.git
+Vcs-Git: https://github.com/mvo5/unattended-upgrades.git
 XS-Testsuite: autopkgtest
 
 Package: unattended-upgrades
@@ -15,6 +15,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, debconf, python3, 
  python3-apt, apt-utils, apt, ucf, lsb-release, lsb-base (>= 3.2-14),
  xz-utils
+Recommends: cron | cron-daemon | anacron
 Suggests: bsd-mailx, mail-transport-agent
 Description: automatic installation of security upgrades
  This package can download and install security upgrades automatically

## unattended-upgrades 0.83.6ubuntu1

=== debian/changelog ===
unattended-upgrades (0.83.6ubuntu1) vivid-security; urgency=medium

  * fix missing package authentication check for apt
    configurations that force-{confold,confnew} (CVE-2015-1330)
    LP: #1466380

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 19 Jun 2015 15:00:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: unattended-upgrades
 Section: admin
 Priority: optional
-Maintainer: Michael Vogt <mvo@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Vogt <mvo@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), po-debconf
 Build-Depends-Indep: python (>= 2.6.6-3~), python3-distutils-extra,
  python3-setuptools, python-dev, python3-dev, python-coverage, pep8,

## unattended-upgrades 0.86.2ubuntu1

=== debian/changelog ===
unattended-upgrades (0.86.2ubuntu1) wily; urgency=medium

  * unattended-upgrade: Adjust for several violations of PEP8 E503.
  * test/test_pep8.py: Ignore PEP8 E402 which we liberally violate.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 11 Aug 2015 19:43:05 -0600

unattended-upgrades (0.86.2) unstable; urgency=medium

  [ Antoine Beaupré ]
  * display translations in proper locale
  * use logging arguments instead of formatting everywhere
    (closes: #789277)

  [ Alexandre Detiste ]
  * auto-remove: don't print a message with empty list of pkg

 -- Michael Vogt <mvo@debian.org>  Sat, 11 Jul 2015 11:18:44 +0200

unattended-upgrades (0.86.1) unstable; urgency=medium

  * fix missing package authentication check for apt
     configurations that force-{confold,confnew} (CVE-2015-1330)
     LP: #1466380

 -- Michael Vogt <mvo@debian.org>  Mon, 29 Jun 2015 19:28:06 +0200

unattended-upgrades (0.86) unstable; urgency=medium

  * unattended-upgrade:
    - improve log message on successful auto-removal (thanks to a-detiste)
  * debian/tests/control:
    - fix missing python{,3}-mock dependency to fix autopkgtest failure
  * debian/control:
    - lower dh-systemd build-dependency to 1.5 (as recommended in the
      systemd/Packaging wiki page) to make it backport friendlier
  * Also send mails on WARNINGS if in MailOnlyOnError mode
    (Closes: #703621)
  * Rename NAME/Description to "unattended-upgrades-shutdown"
    (Closes: #783810)
  * Fix conffile detection for removed conffiles (Closes: #788049)

 -- Michael Vogt <mvo@debian.org>  Wed, 17 Jun 2015 10:28:25 +0200

unattended-upgrades (0.85) unstable; urgency=medium

  [ Alexandre Detiste ]
  * Add new Unattended-Upgrade::Automatic-Reboot-WithUsers option
  * add Build-Depends: for python{,3}-mock

  [ Alexander Skiba ]
  * Fix Unattended-Upgrade::Remove-Unused-Dependencies and apply to
    all automatic dependencies

  [ Michael Vogt ]
  * Test fixes

 -- Michael Vogt <mvo@debian.org>  Wed, 27 May 2015 14:01:38 +0200

unattended-upgrades (0.83.8) unstable; urgency=low

  * fix default configuration to match the jessie security
    server configuration (closes: #783690)

 -- Michael Vogt <mvo@debian.org>  Fri, 01 May 2015 08:47:07 +0200

unattended-upgrades (0.83.7) unstable; urgency=medium

  [ Michael Vogt ]
  * fix errno import

  [ Brian Murray ]
  * In the apport package hook gather the right log file name.

 -- Michael Vogt <mvo@debian.org>  Tue, 31 Mar 2015 11:01:04 -0400
